com.pivotal.gemfirexd.thrift.internal

## Class ClientCallableStatement

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientStatement
  - - com.pivotal.gemfirexd.thrift.internal.ClientPreparedStatement
    - - com.pivotal.gemfirexd.thrift.internal.ClientCallableStatement

All Implemented Interfaces:
  com.pivotal.gemfirexd.thrift.common.LobService, com.pivotal.gemfirexd.thrift.common.PrepareResultHolder, AutoCloseable, CallableStatement, PreparedStatement, Statement, Wrapper

    public final class ClientCallableStatement
    extends ClientPreparedStatement
    implements CallableStatement

Since:
  gfxd 1.1

### Field Summary

Fields
`protected ClientFinalizer` `finalizer`
`protected ClientService` `service`
`protected boolean` `wasNull`

### Fields inherited from class com.pivotal.gemfirexd.thrift.internal.ClientPreparedStatement

`defaultCalendar, EMPTY_ROW, NULL_METADATA, numParams, parameterMetaData, paramsBatch, paramsList, preparedSQL, resultSetMetaData`

### Fields inherited from class com.pivotal.gemfirexd.thrift.internal.ClientStatement

`attrs, batchSQLs, conn, currentGeneratedKeys, currentRowSet, currentUpdateCount, isOpen, statementId, warnings`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`protected void` `clearFinalizer()`
`Blob` `createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)`
`Clob` `createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)`
`Array` `getArray(int parameterIndex)`
`protected Array` `getArray(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Array` `getArray(String parameterName)`
`protected InputStream` `getAsciiStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`BigDecimal` `getBigDecimal(int parameterIndex)`
`protected BigDecimal` `getBigDecimal(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`BigDecimal` `getBigDecimal(int parameterIndex, int scale)`
`protected BigDecimal` `getBigDecimal(int columnIndex, int scale, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`BigDecimal` `getBigDecimal(String parameterName)`
`protected InputStream` `getBinaryStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Blob` `getBlob(int parameterIndex)`
`protected Blob` `getBlob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Blob` `getBlob(String parameterName)`
`com.pivotal.gemfirexd.thrift.BlobChunk` `getBlobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`boolean` `getBoolean(int parameterIndex)`
`protected boolean` `getBoolean(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`boolean` `getBoolean(String parameterName)`
`byte` `getByte(int parameterIndex)`
`protected byte` `getByte(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`byte` `getByte(String parameterName)`
`byte[]` `getBytes(int parameterIndex)`
`protected byte[]` `getBytes(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`byte[]` `getBytes(String parameterName)`
`Reader` `getCharacterStream(int parameterIndex)`
`protected Reader` `getCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Reader` `getCharacterStream(String parameterName)`
`Clob` `getClob(int parameterIndex)`
`protected Clob` `getClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Clob` `getClob(String parameterName)`
`com.pivotal.gemfirexd.thrift.ClobChunk` `getClobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`Date` `getDate(int parameterIndex)`
`Date` `getDate(int parameterIndex, Calendar cal)`
`protected Date` `getDate(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Date` `getDate(String parameterName)`
`Date` `getDate(String parameterName, Calendar cal)`
`double` `getDouble(int parameterIndex)`
`protected double` `getDouble(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`double` `getDouble(String parameterName)`
`float` `getFloat(int parameterIndex)`
`protected float` `getFloat(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`float` `getFloat(String parameterName)`
`int` `getInt(int parameterIndex)`
`protected int` `getInt(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getInt(String parameterName)`
`protected HostConnection` `getLobSource(boolean throwOnFailure, String op)`
`long` `getLong(int parameterIndex)`
`protected long` `getLong(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`long` `getLong(String parameterName)`
`Reader` `getNCharacterStream(int parameterIndex)`
`protected Reader` `getNCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Reader` `getNCharacterStream(String parameterName)`
`NClob` `getNClob(int parameterIndex)`
`protected NClob` `getNClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`NClob` `getNClob(String parameterName)`
`String` `getNString(int parameterIndex)`
`protected String` `getNString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`String` `getNString(String parameterName)`
`Object` `getObject(int parameterIndex)`
`<T> T` `getObject(int parameterIndex, Class<T> type)`
`protected <T> T` `getObject(int columnIndex, Class<T> type, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Object` `getObject(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Object` `getObject(int parameterIndex, Map<String,Class<?>> map)`
`protected Object` `getObject(int columnIndex, Map<String,Class<?>> map, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Object` `getObject(String parameterName)`
`<T> T` `getObject(String parameterName, Class<T> type)`
`Object` `getObject(String parameterName, Map<String,Class<?>> map)`
`protected Map<Integer,com.pivotal.gemfirexd.thrift.OutputParameter>` `getOutputParameters()`
`Ref` `getRef(int parameterIndex)`
`protected Ref` `getRef(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Ref` `getRef(String parameterName)`
`RowId` `getRowId(int parameterIndex)`
`protected RowId` `getRowId(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`RowId` `getRowId(String parameterName)`
`short` `getShort(int parameterIndex)`
`protected short` `getShort(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`short` `getShort(String parameterName)`
`SQLXML` `getSQLXML(int parameterIndex)`
`protected SQLXML` `getSQLXML(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`SQLXML` `getSQLXML(String parameterName)`
`String` `getString(int parameterIndex)`
`protected String` `getString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`String` `getString(String parameterName)`
`Time` `getTime(int parameterIndex)`
`Time` `getTime(int parameterIndex, Calendar cal)`
`protected Time` `getTime(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Time` `getTime(String parameterName)`
`Time` `getTime(String parameterName, Calendar cal)`
`Timestamp` `getTimestamp(int parameterIndex)`
`Timestamp` `getTimestamp(int parameterIndex, Calendar cal)`
`protected Timestamp` `getTimestamp(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`Timestamp` `getTimestamp(String parameterName)`
`Timestamp` `getTimestamp(String parameterName, Calendar cal)`
`URL` `getURL(int parameterIndex)`
`protected URL` `getURL(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`URL` `getURL(String parameterName)`
`protected void` `initializeProcedureOutParams(com.pivotal.gemfirexd.thrift.StatementResult sr)`
`void` `registerOutParameter(int parameterIndex, int sqlType)`
`void` `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` `registerOutParameter(int parameterIndex, int sqlType, String typeName)`
`void` `registerOutParameter(String parameterName, int sqlType)`
`void` `registerOutParameter(String parameterName, int sqlType, int scale)`
`void` `registerOutParameter(String parameterName, int sqlType, String typeName)`
`protected void` `reset()`
`void` `setAsciiStream(String parameterName, InputStream x)`
`void` `setAsciiStream(String parameterName, InputStream x, int length)`
`void` `setAsciiStream(String parameterName, InputStream x, long length)`
`void` `setBigDecimal(String parameterName, BigDecimal x)`
`void` `setBinaryStream(String parameterName, InputStream x)`
`void` `setBinaryStream(String parameterName, InputStream x, int length)`
`void` `setBinaryStream(String parameterName, InputStream x, long length)`
`void` `setBlob(String parameterName, Blob x)`
`void` `setBlob(String parameterName, InputStream x)`
`void` `setBlob(String parameterName, InputStream x, long length)`
`void` `setBoolean(String parameterName, boolean x)`
`void` `setByte(String parameterName, byte x)`
`void` `setBytes(String parameterName, byte[] x)`
`void` `setCharacterStream(String parameterName, Reader x)`
`void` `setCharacterStream(String parameterName, Reader x, int length)`
`void` `setCharacterStream(String parameterName, Reader x, long length)`
`void` `setClob(String parameterName, Clob x)`
`void` `setClob(String parameterName, Reader x)`
`void` `setClob(String parameterName, Reader x, long length)`
`protected void` `setCurrentSource(byte entityId, int newId, com.pivotal.gemfirexd.thrift.RowSet rs)`
`void` `setDate(String parameterName, Date x)`
`void` `setDate(String parameterName, Date x, Calendar cal)`
`void` `setDouble(String parameterName, double x)`
`void` `setFloat(String parameterName, float x)`
`void` `setInt(String parameterName, int x)`
`void` `setLong(String parameterName, long x)`
`void` `setNCharacterStream(String parameterName, Reader x)`
`void` `setNCharacterStream(String parameterName, Reader x, long length)`
`void` `setNClob(String parameterName, NClob x)`
`void` `setNClob(String parameterName, Reader x)`
`void` `setNClob(String parameterName, Reader x, long length)`
`void` `setNString(String parameterName, String x)`
`void` `setNull(String parameterName, int sqlType)`
`void` `setNull(String parameterName, int sqlType, String typeName)`
`void` `setObject(String parameterName, Object x)`
`void` `setObject(String parameterName, Object x, int targetSqlType)`
`void` `setObject(String parameterName, Object x, int targetSqlType, int scale)`
`void` `setRowId(String parameterName, RowId x)`
`void` `setShort(String parameterName, short x)`
`void` `setSQLXML(String parameterName, SQLXML x)`
`void` `setString(String parameterName, String x)`
`void` `setTime(String parameterName, Time x)`
`void` `setTime(String parameterName, Time x, Calendar cal)`
`void` `setTimestamp(String parameterName, Timestamp x)`
`void` `setTimestamp(String parameterName, Timestamp x, Calendar cal)`
`void` `setURL(String parameterName, URL x)`
`boolean` `wasNull()`

### Methods inherited from class com.pivotal.gemfirexd.thrift.internal.ClientPreparedStatement

`addBatch, addBatch, checkValidParameterIndex, clearParameters, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, getSQL, getStatementId, getTimeZoneOffset, getType, prepare, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setCurrentRowSet, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, updatePrepareResult`

### Methods inherited from class com.pivotal.gemfirexd.thrift.internal.ClientStatement

`cancel, checkClosed, clearBatch, clearWarnings, close, closeOnCompletion, execute, executeUpdate, getAttributes, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setAutoIncAttributes, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.pivotal.gemfirexd.thrift.common.PrepareResultHolder

`getAttributes`

### Field Detail

#### service

    protected final ClientService service

#### finalizer

    protected ClientFinalizer finalizer

#### wasNull

    protected boolean wasNull

### Method Detail

#### reset

    protected void reset()

Overrides:
  `reset` in class `ClientStatement`

#### getOutputParameters

    protected final Map<Integer,com.pivotal.gemfirexd.thrift.OutputParameter> getOutputParameters()

Overrides:
  `getOutputParameters` in class `ClientPreparedStatement`

#### initializeProcedureOutParams

    protected void initializeProcedureOutParams(com.pivotal.gemfirexd.thrift.StatementResult sr)

Overrides:
  `initializeProcedureOutParams` in class `ClientStatement`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int sqlType)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int sqlType,
                            int scale)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int sqlType,
                            String typeName)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType,
                            int scale)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType,
                            String typeName)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### wasNull

    public final boolean wasNull()
                          throws SQLException

Specified by:
  `wasNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### getString

    public String getString(int parameterIndex)
                     throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int parameterIndex)
                 throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### getShort

    public short getShort(int parameterIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### getInt

    public int getInt(int parameterIndex)
               throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### getLong

    public long getLong(int parameterIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int parameterIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int parameterIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex,
                           int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int parameterIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int parameterIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int parameterIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int parameterIndex,
               Calendar cal)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int parameterIndex,
               Calendar cal)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int parameterIndex,
                         Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int parameterIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int parameterIndex,
                   Map<String,Class<?>> map)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(int parameterIndex)
               throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(int parameterIndex)
                 throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(int parameterIndex)
                 throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getArray

    public Array getArray(int parameterIndex)
                   throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

#### getURL

    public URL getURL(int parameterIndex)
               throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(int parameterIndex)
                   throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int parameterIndex)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNString

    public String getNString(int parameterIndex)
                      throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(int parameterIndex)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(int parameterIndex)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int parameterIndex)
                   throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(int parameterIndex,
                  Class<T> type)
                throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getString

    public String getString(String parameterName)
                     throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(String parameterName)
                       throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### getByte

    public byte getByte(String parameterName)
                 throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### getShort

    public short getShort(String parameterName)
                   throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### getInt

    public int getInt(String parameterName)
               throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### getLong

    public long getLong(String parameterName)
                 throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String parameterName)
                   throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String parameterName)
                     throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(String parameterName)
                    throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String parameterName)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String parameterName)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String parameterName)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String parameterName)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String parameterName,
                   Map<String,Class<?>> map)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(String parameterName)
               throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(String parameterName)
                 throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(String parameterName)
                 throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getArray

    public Array getArray(String parameterName)
                   throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String parameterName,
               Calendar cal)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String parameterName,
               Calendar cal)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String parameterName,
                         Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getURL

    public URL getURL(String parameterName)
               throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String parameterName)
                   throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String parameterName)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNString

    public String getNString(String parameterName)
                      throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String parameterName)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(String parameterName)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String parameterName)
                   throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String parameterName,
                  Class<T> type)
                throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(String parameterName,
              URL x)
                throws SQLException

Specified by:
  `setURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(String parameterName,
               int sqlType)
                 throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(String parameterName,
                  boolean x)
                    throws SQLException

Specified by:
  `setBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(String parameterName,
               byte x)
                 throws SQLException

Specified by:
  `setByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(String parameterName,
                short x)
                  throws SQLException

Specified by:
  `setShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(String parameterName,
              int x)
                throws SQLException

Specified by:
  `setInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(String parameterName,
               long x)
                 throws SQLException

Specified by:
  `setLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(String parameterName,
                float x)
                  throws SQLException

Specified by:
  `setFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(String parameterName,
                 double x)
                   throws SQLException

Specified by:
  `setDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(String parameterName,
                     BigDecimal x)
                       throws SQLException

Specified by:
  `setBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### setString

    public void setString(String parameterName,
                 String x)
                   throws SQLException

Specified by:
  `setString` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBytes

    public void setBytes(String parameterName,
                byte[] x)
                  throws SQLException

Specified by:
  `setBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(String parameterName,
               Date x)
                 throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(String parameterName,
               Time x)
                 throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(String parameterName,
                    Timestamp x)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String parameterName,
                      InputStream x,
                      int length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String parameterName,
                       InputStream x,
                       int length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x,
                 int targetSqlType,
                 int scale)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x,
                 int targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String parameterName,
                          Reader x,
                          int length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(String parameterName,
               Date x,
               Calendar cal)
                 throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(String parameterName,
               Time x,
               Calendar cal)
                 throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(String parameterName,
                    Timestamp x,
                    Calendar cal)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(String parameterName,
               int sqlType,
               String typeName)
                 throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### setRowId

    public void setRowId(String parameterName,
                RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(String parameterName,
                  String x)
                    throws SQLException

Specified by:
  `setNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                           Reader x,
                           long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(String parameterName,
                NClob x)
                  throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(String parameterName,
               Reader x,
               long length)
                 throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(String parameterName,
               InputStream x,
               long length)
                 throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(String parameterName,
                Reader x,
                long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(String parameterName,
                 SQLXML x)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(String parameterName,
               Blob x)
                 throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(String parameterName,
               Clob x)
                 throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String parameterName,
                      InputStream x,
                      long length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String parameterName,
                       InputStream x,
                       long length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String parameterName,
                          Reader x,
                          long length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String parameterName,
                      InputStream x)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String parameterName,
                       InputStream x)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String parameterName,
                          Reader x)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                           Reader x)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(String parameterName,
               Reader x)
                 throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(String parameterName,
               InputStream x)
                 throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(String parameterName,
                Reader x)
                  throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getLobSource

    protected final HostConnection getLobSource(boolean throwOnFailure,
                              String op)
                                         throws SQLException

Throws:
  `SQLException`

#### setCurrentSource

    protected final void setCurrentSource(byte entityId,
                        int newId,
                        com.pivotal.gemfirexd.thrift.RowSet rs)

#### clearFinalizer

    protected final void clearFinalizer()

#### createBlob

    public final Blob createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)
                          throws SQLException

Specified by:
  `createBlob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### createClob

    public final Clob createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)
                          throws SQLException

Specified by:
  `createClob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getBlobChunk

    public final com.pivotal.gemfirexd.thrift.BlobChunk getBlobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getBlobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getClobChunk

    public final com.pivotal.gemfirexd.thrift.ClobChunk getClobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getClobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getString

    protected final String getString(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBoolean

    protected final boolean getBoolean(int columnIndex,
                     com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                     com.pivotal.gemfirexd.thrift.Row row)
                                throws SQLException

Throws:
  `SQLException`

#### getByte

    protected final byte getByte(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getShort

    protected final short getShort(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getInt

    protected final int getInt(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getLong

    protected final long getLong(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getFloat

    protected final float getFloat(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getDouble

    protected final double getDouble(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           int scale,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBytes

    protected final byte[] getBytes(int columnIndex,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                             throws SQLException

Throws:
  `SQLException`

#### getDate

    protected final Date getDate(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTime

    protected final Time getTime(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    protected final Timestamp getTimestamp(int columnIndex,
                         Calendar cal,
                         com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                         com.pivotal.gemfirexd.thrift.Row row)
                                    throws SQLException

Throws:
  `SQLException`

#### getObject

    protected final Object getObject(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBlob

    protected final Blob getBlob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    protected final InputStream getBinaryStream(int columnIndex,
                              com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                              com.pivotal.gemfirexd.thrift.Row row)
                                         throws SQLException

Throws:
  `SQLException`

#### getClob

    protected final Clob getClob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    protected final Reader getCharacterStream(int columnIndex,
                            com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                            com.pivotal.gemfirexd.thrift.Row row)
                                       throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    protected final InputStream getAsciiStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                        throws SQLException

Throws:
  `SQLException`

#### getObject

    protected Object getObject(int columnIndex,
                   Map<String,Class<?>> map,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getRef

    protected Ref getRef(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getArray

    protected Array getArray(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getURL

    protected URL getURL(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getRowId

    protected RowId getRowId(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getNClob

    protected NClob getNClob(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    protected SQLXML getSQLXML(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getNString

    protected String getNString(int columnIndex,
                    com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                    com.pivotal.gemfirexd.thrift.Row row)
                         throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    protected Reader getNCharacterStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                  throws SQLException

Throws:
  `SQLException`

#### getObject

    protected <T> T getObject(int columnIndex,
                  Class<T> type,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                   throws SQLException

Throws:
  `SQLException`